GET
https://api.cryptohopper.com/v1/template/market/{template_id}
Returns one template the user bought on the Marketplace. id is its Marketplace item ID.
OAuth scope:
read About scopes
Example request
curl "https://api.cryptohopper.com/v1/template/market/TEMPLATE_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/template/market/TEMPLATE_ID', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/template/market/TEMPLATE_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/template/market/TEMPLATE_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
template_id |
string | Required | ID of the market template (template_id from Get market templates). |
Response
{
"data": {
"template_id": "298000",
"type": "template",
"id": "45678",
"hidden_configuration": "1",
"name": "BTC trend template",
"description": "Trend following on USDT pairs",
"logo": "https://cdn.cryptohopper.com/images/hoppers/templates/298000_2026-08-01-09-00-00.jpg",
"exchange": "binance",
"base_currency": "usdt",
"currencies": "BTC,ETH",
"created": "2026-08-01 09:00:00",
"hasTriggers": 1,
"hasConfigPool": 1,
"hasSignals": 1,
"allowed_coins": [
"BTC",
"ETH"
],
"created_date": "2026-08-01 09:00:00",
"link": "https://www.cryptohopper.com/marketplace/item?item_id=45678"
}
}